Browse Source

updated 5 packages

graphviz-2.42.2-1

rrdtool-1.7.2-1

ruby-2.6.5-1

subversion-1.13.0-1

vim-8.2.0390-1

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@12333 ec354946-7b23-47d6-9f5a-488ba84defc7
tomop 2 years ago
parent
commit
ec4e8201c4
5 changed files with 265 additions and 109 deletions
  1. 45 8
      g/graphviz/graphviz-vl.spec
  2. 36 7
      r/rrdtool/rrdtool-vl.spec
  3. 174 91
      r/ruby/ruby-vl.spec
  4. 4 1
      s/subversion/subversion-vl.spec
  5. 6 2
      v/vim/vim-vl.spec

+ 45 - 8
g/graphviz/graphviz-vl.spec

@@ -3,14 +3,19 @@
 Name:           graphviz
 Summary:        Graph Visualization Tools
 Summary(ja):	グラフ可視化ツール
-Version:        2.40.1
-Release:        2%{?_dist_release}
+Version:        2.42.2
+Release:        1%{?_dist_release}
 Group:          Applications/Graphics
 License:        EPL
 URL:            http://www.graphviz.org/
 
 Source0:	http://www.graphviz.org/pub/graphviz/ARCHIVE/%{name}-%{version}.tar.gz
-Patch0:		graphviz-2.40.1-visio.patch
+# rhbz#1505230
+Patch0:                 graphviz-2.42.2-dotty-menu-fix.patch
+Patch1:                 graphviz-2.42.2-coverity-scan-fixes.patch
+# Workaround for some const casting badness in the OCaml bindings.
+# Real fix will need a fix to SWIG.
+Patch2:                 graphviz-2.42.2-ocaml-allow-const-cast.patch
 
 BuildRoot:      %{_tmppath}/%{name}-%{version}-root
 BuildRequires:  bison
@@ -34,6 +39,9 @@ BuildRequires:  lua-devel
 BuildRequires:  m4
 BuildRequires:  perl
 BuildRequires:  python-devel
+BuildRequires:  python3-devel
+BuildRequires:  python3-rpm-macros
+BuildRequires:  python3-setuptools
 BuildRequires:  ruby-devel
 BuildRequires:  swig
 BuildRequires:  tcl-devel >= 8.4
@@ -103,6 +111,15 @@ Requires: python
 %description python
 Python extension for graphviz.
 
+%package python3
+Group:    Applications/Graphics
+Summary:  Python3 extension for graphviz
+Requires: %{name} = %{version}-%{release}
+Requires: python3
+
+%description python3
+Python3 extension for graphviz.
+
 %package ruby
 Group:    Applications/Graphics
 Summary:  Ruby extension for graphviz
@@ -123,11 +140,16 @@ Various tcl packages (extensions) for the graphviz tools.
 
 
 %prep
-%setup -q
-%patch0 -p1 -b .visio
+%setup -q -n graphviz-stable_release_%{version}
+%patch0 -p1 -b .dotty-menu-fix
+%patch1 -p1 -b .coverity-scan-fixes
+%patch2 -p1
+
+# Attempt to fix rpmlint warnings about executable sources
+find -type f -regex '.*\.\(c\|h\)$' -exec chmod a-x {} ';'
 
 %build
-autoreconf -if
+./autogen.sh
 
 # using archdir instead of sitearchdir for Vine
 sed -i -e "s|sitearchdir|archdir|g" config/config_ruby.rb
@@ -158,10 +180,12 @@ export CPPFLAGS=-I`ruby -e "puts File.join(RbConfig::CONFIG['includedir'], RbCon
     --enable-perl \
     --disable-php \
     --enable-python \
+    --enable-python3 \
     --disable-r \
     --enable-ruby \
     --enable-swig \
-    --enable-tcl
+    --enable-tcl \
+    --with-visio
 
 make %{?_smp_mflags} 
 
@@ -177,6 +201,8 @@ chmod -x $RPM_BUILD_ROOT%{_datadir}/%{name}/lefty/*
 cp -a $RPM_BUILD_ROOT%{_datadir}/%{name}/doc __doc
 rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/doc
 
+rm -rf %{buildroot}%{_libdir}/graphviz/python2
+
 %clean
 rm -rf $RPM_BUILD_ROOT
 
@@ -241,7 +267,12 @@ fi
 %files python
 %defattr(-,root,root,-)
 %{_libdir}/graphviz/python/
-%{_libdir}/python*/*
+%{_libdir}/python2*/*
+
+%files python3
+%defattr(-,root,root,-)
+%{_libdir}/graphviz/python3/
+%{_libdir}/python3*/*
 %{_mandir}/man3/gv.3python*
 
 %files ruby
@@ -261,6 +292,12 @@ fi
 
 
 %changelog
+* Mon Mar 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.42.2-1
+- built with ruby-2.6.5.
+- added python3 support.
+- dropped Patch0.
+- imported Patch0-2 from rawhide.
+
 * Tue Sep 10 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.40.1-2
 - rebuilt with guile-2.2.
 

+ 36 - 7
r/rrdtool/rrdtool-vl.spec

@@ -1,18 +1,17 @@
 
 # Basic Information
 Name:		rrdtool
-Version:	1.7.1
+Summary:	RRDtool - Round Robin Database tool
+Summary(ja):	RRDtool - ラウンドロビンデータベースツール
+Version:	1.7.2
 Release:	1%{?_dist_release}
-License:	GPLv2+ with exceptions
 Group:		Applications/Databases
-URL:		http://oss.oetiker.ch/rrdtool/
+License:	GPLv2+ with exceptions
 
+URL:		http://oss.oetiker.ch/rrdtool/
 Source0:	http://oss.oetiker.ch/%{name}/pub/%{name}-%{version}.tar.gz
 Patch3:		rrdtool-1.6.0-ruby-2-fix.patch
 
-Summary:	RRDtool - Round Robin Database tool
-Summary(ja):	RRDtool - ラウンドロビンデータベースツール
-
 BuildRoot:	%{_tmppath}/%{name}-%{version}-root
 # Dependency
 BuildRequires:	glib2-devel
@@ -95,6 +94,19 @@ Requires:	%{name} = %{version}-%{release}
 RDTool bindings for python.
 
 
+%package -n python3-rrdtool
+Summary:	Python3 RRDTool bindings
+Summary(ja):	RRDTool の Python3 バインディング
+Group:		Development/Libraries
+BuildRequires: python3-devel
+BuildRequires: python3-rpm-macros
+BuildRequires: python3-setuptools
+Requires:	%{name} = %{version}-%{release}
+
+%description -n python3-rrdtool
+RDTool bindings for python3.
+
+
 %package -n ruby-rrdtool
 Summary:	Ruby RRDTool bindings
 Summary(ja):	RRDTool の ruby バインディング
@@ -132,10 +144,14 @@ sed -i 's|/ruby/extconf.rb|/ruby/extconf.rb --vendor |' bindings/Makefile
 perl -pi -e 's/(rrdcached_LDADD =)/$1 \$(ALL_LIBS) /' src/Makefile
 %{__make} %{?_smp_mflags}
 
+%{__make} %{?_smp_mflags} -C bindings python PYTHON=%{__python3}
 
 %install
 %{__rm} -rf ${RPM_BUILD_ROOT}
 %{__make} install DESTDIR=${RPM_BUILD_ROOT}
+pushd bindings/python
+%{py3_install}
+popd
 
 # Install ruby module by force
 mkdir -p $RPM_BUILD_ROOT/%{ruby_vendorarchdir}
@@ -211,9 +227,17 @@ mv docs_to_be_included/html/RRD*.html docs_perl/html/
 
 %files -n python-rrdtool
 %defattr(-,root,root)
-%doc bindings/python/AUTHORS bindings/python/COPYING bindings/python/README
+%license bindings/python/COPYING
+%doc bindings/python/AUTHORS bindings/python/README
 %{python_sitearch}/rrdtool-*-py*.egg-info
 %{python_sitearch}/rrdtool.so
+
+%files -n python3-rrdtool
+%defattr(-,root,root)
+%license bindings/python/COPYING
+%doc bindings/python/AUTHORS bindings/python/README
+%{python3_sitearch}/rrdtool-*-py*.egg-info
+%{python3_sitearch}/rrdtool.*.so
 %{_datadir}/rrdtool/examples/*.py
 
 %files -n ruby-rrdtool
@@ -222,6 +246,11 @@ mv docs_to_be_included/html/RRD*.html docs_perl/html/
 %{ruby_vendorarchdir}/RRD.so
 
 %changelog
+* Mon Mar 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7.2-1
+- new upstream release.
+- built with ruby-2.6.5.
+- added python3 support.
+
 * Sat May 18 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.7.1-1
 - new upstream release.
 - rebuilt with perl-5.26.

+ 174 - 91
r/ruby/ruby-vl.spec

@@ -1,6 +1,8 @@
+%bcond_without test
+
 %global major_version 2
-%global minor_version 4
-%global teeny_version 9
+%global minor_version 6
+%global teeny_version 5
 
 %global major_minor_version %{major_version}.%{minor_version}
 
@@ -10,53 +12,47 @@
 
 %global ruby_archive %{name}-%{ruby_version}
 
-%global ruby_libdir %{_datadir}/%{name}
-%global ruby_libarchdir %{_libdir}/%{name}
-
-# This is the local lib/arch and should not be used for packaging.
-%global ruby_sitedir site_ruby
-%global ruby_sitelibdir %{_prefix}/local/share/ruby/%{ruby_sitedir}
-%global ruby_sitearchdir %{_prefix}/local/%{_lib}/ruby/%{ruby_sitedir}
-
-# This is the general location for libs/archs compatible with all
-# or most of the Ruby versions
-%global ruby_vendordir vendor_ruby
-%global ruby_vendorlibdir %{_prefix}/share/ruby/%{ruby_vendordir}
-%global ruby_vendorarchdir %{_libdir}/ruby/%{ruby_vendordir}
-
-%global rubygems_version 2.6.14.4
+%global rubygems_version 3.0.3
 
 # The RubyGems library has to stay out of Ruby directory tree, since the
 # RubyGems should be share by all Ruby implementations.
 %global rubygems_dir %{_datadir}/rubygems
 
 # Specify custom RubyGems root.
-%global gem_dir %{_datadir}/gems
+#global gem_dir %{_datadir}/gems
 %global gem_extdir %{_libdir}/gems
 %global gem_extdirs %{_exec_prefix}/lib{,64}/gems
 
+%global bundler_version 1.17.2
+%global bundler_fileutils_version 1.1.0
+%global bundler_molinillo_version 0.6.6
+%global bundler_net_http_persistent_version 2.9.4
+%global bundler_thor_version 0.20.0
+
 # TODO: The IRB has strange versioning. Keep the Ruby's versioning ATM.
 # http://redmine.ruby-lang.org/issues/5313
 %global irb_version %{ruby_version}
 
-%global rake_version 12.0.0
-%global rdoc_version 5.0.1
-%global bigdecimal_version 1.3.2
-%global io_console_version 0.4.6
-%global json_version 2.0.4
-%global minitest_version 5.10.1
-%global psych_version 2.2.2
-%global power_assert_version 0.4.1
-%global test_unit_version 3.2.3
-%global xmlrpc_version 0.2.1
+%global rake_version 12.3.2
+%global rdoc_version 6.1.2
+%global bigdecimal_version 1.4.1
+%global io_console_version 0.4.7
+%global json_version 2.1.0
+%global minitest_version 5.11.3
+%global psych_version 3.1.0
+%global power_assert_version 1.1.3
+%global test_unit_version 3.2.9
+%global xmlrpc_version 0.3.0
 
 # Note:
 # As seen on perl srpm, as this (ruby) srpm contains several sub-components,
 # we cannot reset the release number to 1 even when the main (ruby) version
 # is updated - because it may be that the versions of sub-components don't
 # change.
-# rubyのmainバージョンが更新されても1には戻さずに必ず+1してください。
-%global ruby_rel 17
+#
+# 全てのサブパッケージのバージョンが上がる場合を除き、rubyのmainバージョンが
+# 更新されても1には戻さずに必ず+1してください。
+%global ruby_rel 1
 
 %bcond_without emacsen
 %define rbmode          ruby-mode
@@ -77,12 +73,44 @@ Source0: https://cache.ruby-lang.org/pub/%{name}/%{major_minor_version}/%{ruby_a
 Source1: operating_system.rb
 Source3: abrt_prelude.rb
 
-Source6: %{rbmode_el}-install.sh
-Source7: %{rbmode_el}-remove.sh
-Source8: %{rbmode_el}-init.el
+Source4: macros.ruby
+Source5: macros.rubygems
+
+# RPM dependency generators.
+Source8: rubygems.attr
+Source9: rubygems.req
+Source10: rubygems.prov
+Source11: rubygems.con
 
 # changelog of fedora package
-Source10: Changelog.fedora
+Source999: Changelog.fedora
+
+# Vine
+Source1000: %{rbmode_el}-install.sh
+Source1001: %{rbmode_el}-remove.sh
+Source1002: %{rbmode_el}-init.el
+
+# The load directive is supported since RPM 4.12, i.e. F21+. The build process
+# fails on older Fedoras.
+%{?load:%{SOURCE4}}
+%{?load:%{SOURCE5}}
+
+%global gem_extdir %{_libdir}/gems
+%global gem_extdirs %{_exec_prefix}/lib{,64}/gems
+
+#global ruby_libdir %{_datadir}/%{name}
+#global ruby_libarchdir %{_libdir}/%{name}
+
+# This is the local lib/arch and should not be used for packaging.
+#global ruby_sitedir site_ruby
+#global ruby_sitelibdir %{_prefix}/local/share/ruby/%{ruby_sitedir}
+#global ruby_sitearchdir %{_prefix}/local/%{_lib}/ruby/%{ruby_sitedir}
+
+# This is the general location for libs/archs compatible with all
+# or most of the Ruby versions
+#global ruby_vendordir vendor_ruby
+#global ruby_vendorlibdir %{_prefix}/share/ruby/%{ruby_vendordir}
+#global ruby_vendorarchdir %{_libdir}/ruby/%{ruby_vendordir}
 
 ### Patch[0-99] from fedora package
 # Fix ruby_version abuse.
@@ -113,19 +141,19 @@ Patch7: ruby-2.2.3-Generate-preludes-using-miniruby.patch
 # hardening features of glibc (rhbz#1361037).
 # https://bugs.ruby-lang.org/issues/12666
 Patch9: ruby-2.3.1-Rely-on-ldd-to-detect-glibc.patch
-# Fix: Command injection in lib/resolv.rb:lazy_initialize()
-# https://bugzilla.redhat.com/show_bug.cgi?id=1528226
-# https://github.com/ruby/ruby/commit/e7464561b5151501beb356fc750d5dd1a88014f7
-Patch10: ruby-2.4.3-Fix-Command-injection-in-lib-resolv-lazy_initialize.patch
-# Fix ruby-test_io.rb#test_select_leak
-# https://bugs.ruby-lang.org/issues/14929
-Patch11: ruby-2.5.2-ruby-test_io-test_select_leak.patch
 
+# `gem build ../foo.gemspec` changes directory, which does not play well with
+# gems unpacked by setup macro.
+# https://github.com/rubygems/rubygems/issues/2587
+Patch11: rubygems-3.0.3-Restore-gem-build-behavior-and-introdcue-the-C-flag-to-gem-build.patch
+# This allows to loosen the RDoc dependency again.
+# https://github.com/rubygems/rubygems/pull/2604
+Patch12: rubygems-3.0.3-Avoid-rdoc-hook-when-its-failed-to-load-rdoc-library.patch
+
+# Add support for .include directive used by OpenSSL config files.
+# https://github.com/ruby/openssl/pull/216
+Patch22: ruby-2.6.0-config-support-include-directive.patch
 
-# for OpenSSL-1.1.1
-Patch100: openssl111-1.patch
-Patch101: openssl111-2.patch
-Patch102: openssl111-3.patch
 
 Requires: %{name}-libs = %{version}-%{release}
 Requires: ruby(rubygems) >= %{rubygems_version}
@@ -471,6 +499,26 @@ XMLRPC is a lightweight protocol that enables remote procedure calls
 over HTTP.
 
 
+%package -n rubygem-bundler
+Summary:    Library and utilities to manage a Ruby application's gem dependencies
+Version:    %{bundler_version}
+License:    MIT
+Requires:   ruby(release)
+Requires:   ruby(rubygems) >= %{rubygems_version}
+Requires:   rubygem(io-console)
+Provides:   rubygem(bundler) = %{version}-%{release}
+# https://github.com/bundler/bundler/issues/3647
+Provides:   bundled(rubygem-fileutils) = %{bundler_fileutils_version}
+Provides:   bundled(rubygem-molinillo) = %{bundler_molinillo_version}
+Provides:   bundled(rubygem-net-http-persisntent) = %{bundler_net_http_persistent_version}
+Provides:   bundled(rubygem-thor) = %{bundler_thor_version}
+BuildArch:  noarch
+
+%description -n rubygem-bundler
+Bundler manages an application's dependencies through its entire life, across
+many machines, systematically and repeatably.
+
+
 %if %{with emacsen}
 %package mode
 Summary: Emacs-lisp ruby-mode for the scripting language Ruby
@@ -500,12 +548,9 @@ Emacs上でRubyスクリプトを書くのに便利なモードです.
 %patch6 -p1
 %patch7 -p1
 %patch9 -p1
-%patch10 -p1
 %patch11 -p1
-
-%patch100 -p1
-%patch101 -p1
-%patch102 -p1
+%patch12 -p1
+%patch22 -p1
 
 cp -a %{SOURCE3} .
 
@@ -518,9 +563,9 @@ autoconf
         --with-archdir='%{ruby_libarchdir}' \
         --with-archlibdir='%{_libdir}' \
         --with-sitedir='%{ruby_sitelibdir}' \
-        --with-sitearchdir='%{ruby_sitearchdir}/%{ruby_release}' \
+        --with-sitearchdir='%{ruby_sitearchdir}' \
         --with-vendordir='%{ruby_vendorlibdir}' \
-        --with-vendorarchdir='%{ruby_vendorarchdir}/%{ruby_release}' \
+        --with-vendorarchdir='%{ruby_vendorarchdir}' \
         --with-rubyhdrdir='%{_includedir}' \
         --with-rubyarchhdrdir='%{_includedir}' \
         --with-sitearchhdrdir='%{_includedir}/$(arch)' \
@@ -541,6 +586,10 @@ make %{?_smp_mflags} COPY="cp -p" Q=
 rm -rf %{buildroot}
 make install DESTDIR=%{buildroot}
 
+rmdir \
+	%{buildroot}%{ruby_sitelibdir}/%{ruby_release} \
+	%{buildroot}%{ruby_vendorlibdir}/%{ruby_release}
+
 # Version is empty if --with-ruby-version is specified.
 # http://bugs.ruby-lang.org/issues/7807
 sed -i 's/Version: \${ruby_version}/Version: %{ruby_version}/' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
@@ -550,44 +599,33 @@ sed -i 's/Version: \${ruby_version}/Version: %{ruby_version}/' %{buildroot}%{_li
 mkdir -p $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{rbmode}
 mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/emacsen-common/packages/install
 mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/emacsen-common/packages/remove
-cp misc/*.el %{SOURCE8} $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{rbmode}
+cp misc/*.el %{SOURCE1002} $RPM_BUILD_ROOT/%{_datadir}/emacs/site-lisp/%{rbmode}
 
-%_installemacsenscript %{rbmode} %{SOURCE6}
-%_removeemacsenscript  %{rbmode} %{SOURCE7}
+%_installemacsenscript %{rbmode} %{SOURCE1000}
+%_removeemacsenscript  %{rbmode} %{SOURCE1001}
 
 %endif
 
-# Dump the macros into macro.ruby to use them to build other Ruby libraries.
-mkdir -p %{buildroot}%{_sysconfdir}/rpm
-cat >> %{buildroot}%{_sysconfdir}/rpm/macros.ruby << \EOF
-%%ruby_libdir %%{_datadir}/%{name}
-%%ruby_libarchdir %%{_libdir}/%{name}
-
-# This is the local lib/arch and should not be used for packaging.
-%%ruby_sitedir site_ruby/%{ruby_release}
-%%ruby_sitelibdir %%{_prefix}/local/share/%{name}/%%{ruby_sitedir}
-%%ruby_sitearchdir %%{_prefix}/local/%%{_lib}/%{name}/%%{ruby_sitedir}
+# Version is empty if --with-ruby-version is specified.
+# http://bugs.ruby-lang.org/issues/7807
+sed -i 's/Version: \${ruby_version}/Version: %{ruby_version}/' %{buildroot}%{_libdir}/pkgconfig/%{name}.pc
 
-# This is the general location for libs/archs compatible with all
-# or most of the Ruby versions
-%%ruby_vendordir vendor_ruby/%{ruby_release}
-%%ruby_vendorlibdir %%{_datadir}/%{name}/%%{ruby_vendordir}
-%%ruby_vendorarchdir %%{_libdir}/%{name}/%%{ruby_vendordir}
-EOF
-
-cat >> %{buildroot}%{_sysconfdir}/rpm/macros.rubygems << \EOF
-# The RubyGems root folder.
-%%gem_dir %{gem_dir}
-%%gem_archdir %{_libdir}/gems
-
-# Common gem locations and files.
-%%gem_instdir %%{gem_dir}/%{ruby_release}/gems/%%{gem_name}-%%{version}
-%%gem_extdir %%{_libdir}/gems/%{ruby_release}/exts/%%{gem_name}-%%{version}
-%%gem_libdir %%{gem_instdir}/lib
-%%gem_cache %%{gem_dir}/%{ruby_release}/cache/%%{gem_name}-%%{version}.gem
-%%gem_spec %%{gem_dir}/%{ruby_release}/specifications/%%{gem_name}-%%{version}.gemspec
-%%gem_docdir %%{gem_dir}/%{ruby_release}/doc/%%{gem_name}-%%{version}
-EOF
+# Move macros file into proper place and replace the %%{name} macro, since it
+# would be wrongly evaluated during build of other packages.
+mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d
+install -m 644 %{SOURCE4} %{buildroot}%{_rpmconfigdir}/macros.d/macros.ruby
+sed -i -e "s/%%{name}/%{name}/" -e "s/%%{ruby_release}/%{ruby_release}/" \
+    %{buildroot}%{_rpmconfigdir}/macros.d/macros.ruby
+install -m 644 %{SOURCE5} %{buildroot}%{_rpmconfigdir}/macros.d/macros.rubygems
+sed -i -e "s/%%{name}/%{name}/" -e "s/%%{ruby_release}/%{ruby_release}/" \
+    %{buildroot}%{_rpmconfigdir}/macros.d/macros.rubygems
+
+# Install dependency generators.
+mkdir -p %{buildroot}%{_rpmconfigdir}/fileattrs
+install -m 644 %{SOURCE8} %{buildroot}%{_rpmconfigdir}/fileattrs
+install -m 755 %{SOURCE9} %{buildroot}%{_rpmconfigdir}
+install -m 755 %{SOURCE10} %{buildroot}%{_rpmconfigdir}
+install -m 755 %{SOURCE11} %{buildroot}%{_rpmconfigdir}
 
 # Install custom operating_system.rb.
 mkdir -p %{buildroot}%{rubygems_dir}/rubygems/defaults
@@ -620,9 +658,27 @@ ln -s %{gem_dir}/%{ruby_release}/gems/bigdecimal-%{bigdecimal_version}/lib/bigde
 # gem_extdir
 mkdir -p %{buildroot}%{gem_extdir}/%{ruby_release}/exts/bigdecimal-%{bigdecimal_version}/lib
 mv %{buildroot}%{ruby_libarchdir}/%{ruby_release}/bigdecimal.so %{buildroot}%{gem_extdir}/%{ruby_release}/exts/bigdecimal-%{bigdecimal_version}/lib
+mv %{buildroot}%{ruby_libarchdir}/%{ruby_release}/bigdecimal %{buildroot}%{gem_extdir}/%{ruby_release}/exts/bigdecimal-%{bigdecimal_version}/
 ln -s %{gem_extdir}/%{ruby_release}/exts/bigdecimal-%{bigdecimal_version}/lib/bigdecimal.so %{buildroot}%{ruby_libarchdir}/%{ruby_release}/bigdecimal.so
+ln -s %{gem_extdir}/%{ruby_release}/exts/bigdecimal-%{bigdecimal_version}/bigdecimal %{buildroot}%{ruby_libarchdir}/%{ruby_release}/bigdecimal
 mv %{buildroot}%{gem_dir}/%{ruby_release}/specifications/default/bigdecimal-%{bigdecimal_version}.gemspec %{buildroot}%{gem_dir}/%{ruby_release}/specifications
 
+# bundler
+# TODO: Put help files into proper location.
+# https://bugs.ruby-lang.org/issues/15359
+# gem_dir
+mkdir -p %{buildroot}%{gem_dir}/%{ruby_release}/gems/bundler-%{bundler_version}/lib
+mv %{buildroot}%{ruby_libdir}/%{ruby_release}/bundler.rb \
+   %{buildroot}%{gem_dir}/%{ruby_release}/gems/bundler-%{bundler_version}/lib
+ln -s %{gem_dir}/%{ruby_release}/gems/bundler-%{bundler_version}/lib/bundler.rb \
+      %{buildroot}%{ruby_libdir}/%{ruby_release}/bundler.rb
+mv %{buildroot}%{ruby_libdir}/%{ruby_release}/bundler \
+   %{buildroot}%{gem_dir}/%{ruby_release}/gems/bundler-%{bundler_version}/lib
+ln -s %{gem_dir}/%{ruby_release}/gems/bundler-%{bundler_version}/lib/bundler \
+      %{buildroot}%{ruby_libdir}/%{ruby_release}/bundler
+mv %{buildroot}%{gem_dir}/%{ruby_release}/specifications/default/bundler-%{bundler_version}.gemspec \
+   %{buildroot}%{gem_dir}/%{ruby_release}/specifications
+
 ## io_console
 # gem_dir
 mkdir -p %{buildroot}%{gem_dir}/%{ruby_release}/gems/io-console-%{io_console_version}/lib
@@ -677,6 +733,7 @@ sed -i '/^end$/ i\
 sed -i '/^end$/ i\
   s.require_paths = ["lib"]' %{buildroot}%{gem_dir}/%{ruby_release}/specifications/minitest-%{minitest_version}.gemspec
 
+%if %{with test}
 %check
 DISABLE_TESTS=""
 
@@ -700,6 +757,7 @@ touch abrt.rb
 # https://bugs.ruby-lang.org/issues/9154
 OPENSSL_ENABLE_MD5_VERIFY=1 make check TESTS="-v $DISABLE_TESTS"
 %endif
+%endif
 
 %post libs -p /sbin/ldconfig
 
@@ -745,7 +803,7 @@ fi
 %doc README.EXT
 %lang(ja) %doc README.EXT.ja
 
-%config(noreplace) %{_sysconfdir}/rpm/macros.ruby
+%{_rpmconfigdir}/macros.d/macros.ruby
 
 %{_includedir}/*
 %{_libdir}/libruby.so
@@ -772,9 +830,12 @@ fi
 %{ruby_libdir}/%{ruby_release}/*.rb
 %exclude %{ruby_libdir}/%{ruby_release}/irb.rb
 %{ruby_libdir}/%{ruby_release}/cgi
+%{ruby_libdir}/%{ruby_release}/csv
 %{ruby_libdir}/%{ruby_release}/digest
 %{ruby_libdir}/%{ruby_release}/drb
+%{ruby_libdir}/%{ruby_release}/e2mmap
 %{ruby_libdir}/%{ruby_release}/fiddle
+%{ruby_libdir}/%{ruby_release}/fileutils
 %{ruby_libdir}/%{ruby_release}/forwardable
 %exclude %{ruby_libdir}/%{ruby_release}/irb
 %{ruby_libdir}/%{ruby_release}/matrix
@@ -783,13 +844,14 @@ fi
 %{ruby_libdir}/%{ruby_release}/optparse
 %{ruby_libdir}/%{ruby_release}/psych
 %{ruby_libdir}/%{ruby_release}/racc
-%{ruby_libdir}/%{ruby_release}/rbconfig
 %{ruby_libdir}/%{ruby_release}/rexml
 %{ruby_libdir}/%{ruby_release}/rinda
 %{ruby_libdir}/%{ruby_release}/ripper
 %{ruby_libdir}/%{ruby_release}/rss
 %{ruby_libdir}/%{ruby_release}/shell
 %{ruby_libdir}/%{ruby_release}/syslog
+%{ruby_libdir}/%{ruby_release}/thwait
+%{ruby_libdir}/%{ruby_release}/tracer
 %{ruby_libdir}/%{ruby_release}/unicode_normalize
 %{ruby_libdir}/%{ruby_release}/uri
 %{ruby_libdir}/%{ruby_release}/webrick
@@ -881,9 +943,6 @@ fi
 %dir %{ruby_libarchdir}/%{ruby_release}/io
 %{ruby_libarchdir}/%{ruby_release}/io/nonblock.so
 %{ruby_libarchdir}/%{ruby_release}/io/wait.so
-%dir %{ruby_libarchdir}/%{ruby_release}/mathn
-%{ruby_libarchdir}/%{ruby_release}/mathn/complex.so
-%{ruby_libarchdir}/%{ruby_release}/mathn/rational.so
 %{ruby_libarchdir}/%{ruby_release}/nkf.so
 %{ruby_libarchdir}/%{ruby_release}/objspace.so
 %{ruby_libarchdir}/%{ruby_release}/openssl.so
@@ -893,6 +952,7 @@ fi
 %dir %{ruby_libarchdir}/%{ruby_release}/racc
 %{ruby_libarchdir}/%{ruby_release}/racc/cparse.so
 %{ruby_libarchdir}/%{ruby_release}/rbconfig.rb
+%dir %{ruby_libarchdir}/%{ruby_release}/rbconfig
 %{ruby_libarchdir}/%{ruby_release}/rbconfig/sizeof.so
 %{ruby_libarchdir}/%{ruby_release}/readline.so
 %{ruby_libarchdir}/%{ruby_release}/ripper.so
@@ -910,12 +970,14 @@ fi
 %exclude %{gem_dir}/%{ruby_release}/gems/*
 %{_exec_prefix}/lib*/gems
 %exclude %{_exec_prefix}/lib*/gems/%{ruby_release}/exts/bigdecimal-%{bigdecimal_version}
+%exclude %{_exec_prefix}/lib*/gems/%{ruby_release}/exts/bundler-%{bundler_version}
 %exclude %{_exec_prefix}/lib*/gems/%{ruby_release}/exts/io-console-%{io_console_version}
 %exclude %{_exec_prefix}/lib*/gems/%{ruby_release}/exts/json-%{json_version}
 %exclude %{_exec_prefix}/lib*/gems/%{ruby_release}/exts/psych-%{psych_version}
 %exclude %{gem_dir}/%{ruby_release}/gems/rake-%{rake_version}
 %exclude %{gem_dir}/%{ruby_release}/gems/rdoc-%{rdoc_version}
 %exclude %{gem_dir}/%{ruby_release}/specifications/bigdecimal-%{bigdecimal_version}.gemspec
+%exclude %{gem_dir}/%{ruby_release}/specifications/bundler-%{bundler_version}.gemspec
 %exclude %{gem_dir}/%{ruby_release}/specifications/io-console-%{io_console_version}.gemspec
 %exclude %{gem_dir}/%{ruby_release}/specifications/json-%{json_version}.gemspec
 %exclude %{gem_dir}/%{ruby_release}/specifications/minitest-%{minitest_version}.gemspec
@@ -924,7 +986,11 @@ fi
 %exclude %{gem_dir}/%{ruby_release}/specifications/psych-%{psych_version}.gemspec
 
 %files rubygems-devel
-%config(noreplace) %{_sysconfdir}/rpm/macros.rubygems
+%{_rpmconfigdir}/macros.d/macros.rubygems
+%{_rpmconfigdir}/fileattrs/rubygems.attr
+%{_rpmconfigdir}/rubygems.req
+%{_rpmconfigdir}/rubygems.prov
+%{_rpmconfigdir}/rubygems.con
 
 %files -n rubygem-rake
 %{_bindir}/rake
@@ -956,6 +1022,7 @@ fi
 %files -n rubygem-bigdecimal
 %{ruby_libdir}/%{ruby_release}/bigdecimal
 %{ruby_libarchdir}/%{ruby_release}/bigdecimal.so
+%{ruby_libarchdir}/%{ruby_release}/bigdecimal
 %{gem_extdir}/%{ruby_release}/exts/bigdecimal-%{bigdecimal_version}
 %{gem_dir}/%{ruby_release}/gems/bigdecimal-%{bigdecimal_version}
 %{gem_dir}/%{ruby_release}/specifications/bigdecimal-%{bigdecimal_version}.gemspec
@@ -1000,6 +1067,16 @@ fi
 %{gem_dir}/%{ruby_release}/gems/xmlrpc-%{xmlrpc_version}
 %{gem_dir}/%{ruby_release}/specifications/xmlrpc-%{xmlrpc_version}.gemspec
 
+%files -n rubygem-bundler
+%{_bindir}/bundle
+%{_bindir}/bundler
+%{gem_dir}/%{ruby_release}/gems/bundler-%{bundler_version}
+%{gem_dir}/%{ruby_release}/specifications/bundler-%{bundler_version}.gemspec
+%{ruby_libdir}/%{ruby_release}/bundler.rb
+%{ruby_libdir}/%{ruby_release}/bundler
+%{_mandir}/man1/bundle*.1*
+%{_mandir}/man5/gemfile.5*
+
 %if %{with emacsen}
 %files mode
 %defattr(-, root, root)
@@ -1009,7 +1086,13 @@ fi
 %{_prefix}/lib/emacsen-common/packages/remove/*
 %endif
 
+
 %changelog
+* Mon Mar 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.6.5-1
+- updated to 2.6.5.
+- dropped Patch10-11 and 100-102.
+- imported Patch11-12 and 22 from rawhide.
+
 * Mon Mar 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 2.4.9-17
 - updated to 2.4.9.
 

+ 4 - 1
s/subversion/subversion-vl.spec

@@ -11,7 +11,7 @@
 Summary: Modern Version Control System
 Summary(ja): モダンなバージョン管理システム
 Name: subversion
-Version: 1.12.2
+Version: 1.13.0
 Release: 1%{?_dist_release}
 License: ASL 2.0 
 Group: Development/Tools
@@ -324,6 +324,9 @@ rm -rf $RPM_BUILD_ROOT
 
 
 %changelog
+* Mon Mar 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.13.0-1
+- new upstream release.
+
 * Sat Oct 19 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.12.2-1
 - new upstream release.
 - dropped Patch1 and 2.

+ 6 - 2
v/vim/vim-vl.spec

@@ -1,7 +1,7 @@
 # version, patch version
 %define vimversion	8.2
-%define vimsrcpversion	0365
-%define vimpversion	0365
+%define vimsrcpversion	0390
+%define vimpversion	0390
 
 %define vimsubdir	vim%(echo %{vimversion} | sed -e's/\\.//')
 #define vimdir		%{vimsubdir}
@@ -759,6 +759,10 @@ rm -rf %{buildroot}
 %{_bindir}/vim.X11-huge
 
 %changelog
+* Mon Mar 16 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 8.2.0390-1
+- new upstream release.
+- built with ruby-2.6.5.
+
 * Mon Mar 09 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 8.2.0365-1
 - new upstream release.
 - updated fedora patches.